| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTextureType Struct Reference
[3D, 3D]

Texture type. More...

`#include <itexture/itexfact.h>`

Inheritance diagram for iTextureType:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iTextureFactory > | NewFactory ()=0
| Create a new instance of a texture factory.

## Detailed Description

Texture type.

Interface used to create instances of iTextureFactory.

Definition at line 69 of file itexfact.h.

## Member Function Documentation

virtual csPtr<iTextureFactory> iTextureType::NewFactory | ( |  | ) | `[pure virtual]`

Create a new instance of a texture factory.

The documentation for this struct was generated from the following file:

- itexture/itexfact.h